---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetsrcfn006.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F610, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51550, symBinAddr: 0xA110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51940, symBinAddr: 0xA500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x528E0, symBinAddr: 0xB4A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x528F0, symBinAddr: 0xB4B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F280, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F284, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F288, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F3E0, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F498, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F49C, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F4A0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F4A4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F4A8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F4B0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F4C8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F4D0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F4D8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F4E0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F4E8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F52A, symBinAddr: 0x81AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F530, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F538, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F548, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL6fnames, symObjAddr: 0xDA30, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9C0, symSize: 0x80 }
  - { offsetInCU: 0x9223, offset: 0x9223, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x910, symSize: 0xB0 }
  - { offsetInCU: 0x927E, offset: 0x927E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x810, symSize: 0x100 }
  - { offsetInCU: 0x9511, offset: 0x9511, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xA40, symSize: 0x220 }
  - { offsetInCU: 0x96F6, offset: 0x96F6, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xC60, symSize: 0xA0 }
  - { offsetInCU: 0x97A9, offset: 0x97A9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xD00, symSize: 0x110 }
  - { offsetInCU: 0x989F, offset: 0x989F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xE10, symSize: 0x150 }
  - { offsetInCU: 0x99D0, offset: 0x99D0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xF60, symSize: 0x30 }
  - { offsetInCU: 0x9A59, offset: 0x9A59, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xF90, symSize: 0x150 }
  - { offsetInCU: 0x9C51, offset: 0x9C51, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x10E0, symSize: 0x160 }
  - { offsetInCU: 0x9DDD, offset: 0x9DDD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1240, symSize: 0x1B0 }
  - { offsetInCU: 0x9FF8, offset: 0x9FF8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x13F0, symSize: 0xA0 }
  - { offsetInCU: 0xA0C7, offset: 0xA0C7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1490, symSize: 0x20 }
  - { offsetInCU: 0xA0FE, offset: 0xA0FE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x14B0, symSize: 0x20 }
  - { offsetInCU: 0xA135, offset: 0xA135, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x14D0, symSize: 0x20 }
  - { offsetInCU: 0xA2A4, offset: 0xA2A4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x14F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA5CA, offset: 0xA5CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1690, symSize: 0x80 }
  - { offsetInCU: 0xA693, offset: 0xA693, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1710, symSize: 0x6A0 }
  - { offsetInCU: 0xB228, offset: 0xB228, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E10, symBinAddr: 0x26B0, symSize: 0xB0 }
  - { offsetInCU: 0xB29F, offset: 0xB29F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1DB0, symSize: 0x70 }
  - { offsetInCU: 0xB35B, offset: 0xB35B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1E20, symSize: 0xA0 }
  - { offsetInCU: 0xB45A, offset: 0xB45A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1EC0, symSize: 0x40 }
  - { offsetInCU: 0xB550, offset: 0xB550, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1F00, symSize: 0x2B0 }
  - { offsetInCU: 0xB8F6, offset: 0xB8F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x21B0, symSize: 0xC0 }
  - { offsetInCU: 0xBA3C, offset: 0xBA3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2270, symSize: 0x10 }
  - { offsetInCU: 0xBAFE, offset: 0xBAFE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2280, symSize: 0x220 }
  - { offsetInCU: 0xBDFB, offset: 0xBDFB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x24A0, symSize: 0x10 }
  - { offsetInCU: 0xBE58, offset: 0xBE58, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x24B0, symSize: 0x110 }
  - { offsetInCU: 0xBFDB, offset: 0xBFDB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D20, symBinAddr: 0x25C0, symSize: 0x10 }
  - { offsetInCU: 0xC064, offset: 0xC064, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetSourceFileName_getsrcfn006_check, symObjAddr: 0x9D30, symBinAddr: 0x25D0, symSize: 0xD0 }
  - { offsetInCU: 0xC11F, offset: 0xC11F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetSourceFileName_getsrcfn006_getRes, symObjAddr: 0x9E00, symBinAddr: 0x26A0, symSize: 0x10 }
  - { offsetInCU: 0xC154, offset: 0xC154, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EC0, symBinAddr: 0x2760, symSize: 0x36A }
...
